对 Google Cloud 上的 SAP NetWeaver 的操作系统支持

在为 Google Cloud 上的 SAP NetWeaver 选择操作系统时,除了确认相应操作系统版本已通过 SAP 认证外,您还需要确认全部三家公司(SAP、操作系统供应商和 Google Cloud)都仍支持该操作系统版本。

这一决定还应考虑以下方面:

  • Google Cloud 是否提供给定的操作系统版本。Compute Engine 提供的操作系统映像已配置为使用 Google Cloud。 如果 Google Cloud 没有提供某个操作系统,您可以自带操作系统映像 (BYOI) 和许可。Compute Engine 将 BYOI 称为自定义映像
  • 可用于给定操作系统版本的许可选项。给定操作系统版本是否具有按需许可选项,或者您是否需要使用操作系统供应商提供的自带订阅 (BYOS) 选项?
  • 是否为 GCP 启用了给定操作系统版本的集成式高可用性功能?
  • SAP SUSE Linux Enterprise Server (SLES) 映像的承诺使用折扣选项

以下操作系统经过认证可用于 Google Cloud 上的 SAP NetWeaver:

快速参考表

下表中的支持信息仅供快速参考,并不替代或取代 SAP 有关支持将哪些操作系统用于 Google Cloud 上的 SAP NetWeaver 的信息。SAP、操作系统提供商或 Google Cloud 可能会更改下面的信息。

下表中的一部分操作系统版本已通过 SAP 认证,可用于 Google Cloud 上的 SAP NetWeaver;另一部分操作系统版本正在等待 SAP 认证,一旦通过认证,即可用于 Google Cloud 上的 SAP NetWeaver。

操作系统 经 SAP 认证 支持的操作系统供应商 在 Google Cloud 上运行 Google Cloud 提供的映像
RHEL 6
RHEL 6 已弃用 已弃用 已弃用 已停用
RHEL 7
RHEL 7.3 for SAP 已弃用 已弃用 已弃用 已停用
RHEL 7.4 for SAP 按需
RHEL 7.5 for SAP
RHEL 7.6 for SAP 按需GCP-HA
RHEL 7.7 for SAP 按需GCP-HA
RHEL 8
RHEL 8.1 for SAP 按需GCP-HA
RHEL 8.2 for SAP 按需GCP-HA
SLES 11
SLES 11 SP3 for SAP 已弃用 已弃用 已弃用 已停用
SLES 11 SP4 for SAP 已弃用 已停用
SLES 12
SLES 12 SP1 for SAP 已弃用 已弃用 已弃用 已停用
SLES 12 SP2 for SAP 按需BYOS
SLES 12 SP3 for SAP 按需BYOSGCP-HA
SLES 12 SP4 for SAP 按需BYOSGCP-HA
SLES 12 SP5 for SAP 按需BYOSGCP-HA
SLES 15
SLES 15 for SAP 按需BYOSGCP-HA
SLES 15 SP1 for SAP 按需BYOSGCP-HA
SLES 15 SP2 for SAP 按需BYOSGCP-HA
Windows Server 2012 R2
Windows Server 2012 R2 按需
Windows Server 2016
Windows Server 2016 按需
Windows Server 2019
Windows Server 2019 按需

表说明:

  • BYOS:您可以将操作系统供应商提供的现有订阅或许可应用到 Google 提供的操作系统映像。Google Cloud 提供的映像包含增强功能;如果您自备操作系统映像,则这些增强功能可能不包含在内。

  • GCP-HA:此操作系统包括为 Google Cloud 启用的集成式高可用性功能。

  • :Google Cloud 目前不提供此操作系统。如果您使用操作系统供应商提供的自带订阅 (BYOS) 或自带许可选项,则或许能够将该操作系统作为自定义映像导入 Google Cloud。请参阅自定义映像

  • 按需:可通过按需许可从 Google Cloud 获得此操作系统。

其他 SAP 和操作系统供应商信息

如需确认 SAP 对 SAP NetWeaver 的操作系统支持,请参阅:

如需从操作系统提供商处了解提供商对操作系统的特定版本的支持,请参阅:

如需了解 Compute Engine 针对操作系统映像的生命周期和支持的政策,请参阅: